# $Revision: 1.42 $, $Date: 2011/09/01 17:03:25 $
Summary:	Advanced tail
Summary(pl.UTF-8):	Rozbudowany tail
Name:		multitail
Version:	5.2.6
Release:	2
License:	GPL
Group:		Applications/Text
Source0:	http://www.vanheusden.com/multitail/%{name}-%{version}.tgz
# Source0-md5:	6496b3d78660ff8d11c743a0d03cca34
URL:		http://www.vanheusden.com/multitail/
BuildRequires:	ncurses-ext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
multitail lets you view one or multiple files like the original tail
program. The difference is that it creates multiple windows on your
console (with ncurses). It can also use colors while displaying the
logfiles, for faster recognition of which lines are important and
which are not. It supports regular expressions. It has interactive
menus for editing given regular expressions and deleting and adding
windows.

%description -l pl.UTF-8
multitail pozwala oglądać jeden lub więcej plików podobnie jak
oryginalny program tail. Różnica jest taka, że tworzy wiele okien na
terminalu (z użyciem ncurses). Może także używać kolorów przy
wyświetlaniu plików logów w celu szybszego odróżnienia, które linie są
ważne, a które nie. Obsługuje wyrażenia regularne. Ma interaktywne
menu do edycji podanych wyrażeń regularnych oraz usuwania i dodawania
okien.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="-DLinux -DVERSION=\\\"%{version}\\\" -Wall %{rpmcflags} -I/usr/include/ncurses -DCONFIG_FILE=\\\"%{_sysconfdir}/%{name}.conf\\\""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},%{_mandir}/man1}

install multitail $RPM_BUILD_ROOT%{_bindir}
install multitail.1 $RPM_BUILD_ROOT%{_mandir}/man1
install multitail.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes readme.txt manual.html
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: multitail.spec,v $
Revision 1.42  2011/09/01 17:03:25  arekm
- release 2

Revision 1.41  2010/02/20 18:59:16  adamg
- updated to 5.2.6

Revision 1.40  2010/02/16 20:24:04  adamg
- updated to 5.2.5

Revision 1.39  2008/05/22 10:03:26  adamg
- updated to 5.2.2

Revision 1.38  2008-02-02 12:45:33  piotrek
- updated to 5.2.0

Revision 1.37  2007-06-23 08:12:41  adamg
- updated to 5.1.1

Revision 1.36  2007/06/11 10:21:45  glen
- update to 5.0.5

Revision 1.35  2007/05/06 07:07:32  adamg
- updated to 5.0.2

Revision 1.34  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.32  2006/09/10 12:18:12  adamg
- updated to 4.2.0

Revision 1.31  2006/07/12 23:56:20  adamg
- updated to 4.1.0

Revision 1.30  2006/04/30 08:10:36  adamg
- updated to 4.0.3

Revision 1.29  2005/12/13 18:01:46  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.28  2005/12/04 23:10:18  glen
- adapterized (sorted %verify flags)

Revision 1.27  2005/08/01 09:56:25  adamg
- updated to 3.6.0
- BuildRequires: ncurses-ext-devel

Revision 1.26  2005/02/06 00:11:14  adamg
- updated to 3.4.5

Revision 1.25  2005/01/16 22:18:05  luzik
- updated to 3.4.4 (bug fixes)
- STBR

Revision 1.24  2004/12/25 21:58:48  yogib
- updated to 3.4.3

Revision 1.23  2004/11/28 15:07:49  adamg
- updated to 3.4.2

Revision 1.22  2004/10/17 18:02:10  adamg
- updated to 3.4.0

Revision 1.21  2004/08/28 09:08:52  adamg
- updated to 3.3.5

Revision 1.20  2004/08/01 19:01:01  adamg
- updated to 3.3.3

Revision 1.19  2004/07/18 08:16:03  orzech
- up to 3.2.3

Revision 1.18  2004/05/23 17:33:19  adamg
- updated to 3.2.1

Revision 1.17  2004/05/09 15:00:46  adamg
- updated to 3.1.9
- pass -DLinux and -DVERSION (in CFLAGS)

Revision 1.16  2004/02/18 11:08:47  orzech
- up to 3.1.0

Revision 1.15  2004/01/30 10:30:26  orzech
- up to 3.0.6

Revision 1.14  2004/01/24 20:26:40  orzech
- up to 3.0.4

Revision 1.13  2003/12/10 10:07:24  orzech
- up to 3.0.2

Revision 1.12  2003/10/03 11:46:39  orzech
- up to 3.0.0

Revision 1.11  2003/09/21 20:04:37  orzech
- up to 2.9.3

Revision 1.10  2003/07/05 16:22:57  orzech
- up to 2.9

Revision 1.9  2003/06/26 07:16:44  orzech
- up to 2.8.3

Revision 1.8  2003/06/17 13:59:52  ankry
- 2.7.4

Revision 1.7  2003/06/01 09:09:57  orzech
- up to 2.7

Revision 1.6  2003/05/28 12:59:49  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:50:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/05/19 09:15:48  orzech
- up to 2.6

Revision 1.3  2003/04/27 19:53:48  orzech
- up to 2.3

Revision 1.2  2003/04/21 01:19:00  qboosh
- pl description

Revision 1.1  2003/04/20 15:52:58  orzech
- new
